package filter;

import java.io.*;

import javax.swing.filechooser.FileFilter;

public class PngFilter extends FileFilter {

	@Override
	public boolean accept(File file) {
		if (file.isDirectory()) {
			return true;
		}

		String name = file.getName();
		return name.endsWith(".png");
	}

	@Override
	public String getDescription() {
		return "PNG Files (*.png)";
	}

}