package watermark;

public class ConvertUtil {
	public static int[] convertToBitArrayFromByte(byte byteData) {
		int[] bitArray = new int[8];
		for (int i = 0; i < 8; i++) {
			bitArray[i] = (byteData >> i) & 0x1;

		}
		return bitArray;
	}

	public static byte convertToByteFromBitArray(int[] bitArray) {
		byte byteData = 0;
		for (int i = 0; i < 8; i++) {
			if (bitArray[i] != 0) {
				byteData += (1 << i);
			}
		}
		return byteData;
	}

}
