package ui;

import java.awt.Graphics;

import javax.swing.*;

import controller.BambooController;

//import listener.CoordinateChangeEvent;
//import model.*;


@SuppressWarnings("serial")
public class CoordinateLabel extends JLabel {
	private BambooController controller;
	public CoordinateLabel(BambooController controller){
		this.controller = controller;
	}
/*
	public CoordinateLabel(final String string) {
		super(string);
	}
*/
	@Override
	public void paintComponent(Graphics g){
		super.paintComponent(g);
		
		if (!controller.isRegion()) {
			final int x = controller.getX();
			final int y = controller.getY();
			setText("(" + x + "," + y + ")");
		} else {
			final int w = controller.getDataWidth();
			final int h = controller.getDataHeight();
			setText("[" + w + "," + h + "]");
		}
	}
/*	
	public void coordinateChanged(final CoordinateChangeEvent e) {
		final Coordinate controller = e.getSource();
		if (!controller.isRegion()) {
			final int x = controller.getX();
			final int y = controller.getY();
			setText("(" + x + "," + y + ")");
		} else {
			final int w = controller.getDataWidth();
			final int h = controller.getDataHeight();
			setText("[" + w + "," + h + "]");
		}
	}
*/
}
